Documentation

​
​

Development

User Acquisition

Monetization

Industry

Unity Releases API

v1

Supported
​

Unity Releases API

v1

Supported
​

Unity Services Web APIs
​
​
Release API
  • Overview
  • Rate Limits
  • Changelog
Endpoints
  • Release

Release API

Overview

The Unity Release API allows developers to get the Unity Editor's release data. As well as Unity Editor release information such as release notes and date, this includes the download and module metadata associated with a Unity Editor release.

Developers can use this as part of their CI processes to target latest versions of the editor, or maybe to display Unity versions and associated metadata in an administrative tool.

Rate Limits

These APIs have rate limiting in place. Requests are limited to 10 request per second and 1000 requests per thirty minutes per endpoint. The APIs respond with a
429
HTTP status code if the rate limit is exceeded.

Changelog

This section contains a list of the changes of the API.

v1

  • January 19, 2023: Initial Release
Download OpenAPI specification:

Get Unity Releases


Get Unity Releases.
Note: Any unpublished Unity Release will not appear in the queries.
With this request, you can get all the Unity Editor Releases. For retrieving releases, we use offset-based pagination.
Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?limit=10&offset=0'
Response:
{ "offset": 0, "limit": 10, "total": 1025, "results": [ { "version": "2023.1.0a22", "releaseDate": "2022-12-07T21:25:31.942Z" // ... } // ... ]}
Info: If an internal error occurs, an empty list will be returned. Note: Do you need more examples on how to query for Unity Releases? Check out these examples!

Order by release date

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?order=RELEASE_DATE_ASC'
Response:
{ "offset": 0, "limit": 10, "total": 1025, "results": [ { "version": "5.0.0f4", "releaseDate": "2015-02-25T15:49:05.835Z" // ... } // ... ]}

Filter by Unity Release stream

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?stream=LTS'
Response:
{ "offset": 0, "limit": 10, "total": 391, "results": [ { "version": "2021.3.15f1", "releaseDate": "2022-12-01T17:20:58.301Z" // ... } // ... ]}

Filter by Unity Release download platform

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?platform=WINDOWS'
Response:
{ "offset": 0, "limit": 10, "total": 1013, "results": [ { "version": "2023.1.0a22", "releaseDate": "2022-12-07T21:25:31.942Z" // ... } // ... ]}

Filter by Unity Release download architecture

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?architecture=X86_64'
Response:
{ "offset": 0, "limit": 10, "total": 1013, "results": [ { "version": "2023.1.0a22", "releaseDate": "2022-12-07T21:25:31.942Z" // ... } // ... ]}

Filter by a Unity Release version

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?version=2023.1.0a22'
Response:
{ "offset": 0, "limit": 10, "total": 1, "results": [ { "version": "2023.1.0a22", "releaseDate": "2022-12-07T21:25:31.942Z" // ... } // ... ]}

Filter by a Unity Release major-minor version

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?version=2023.1'
Response:
{ "offset": 0, "limit": 10, "total": 20, "results": [ { "version": "2023.1.0a22", "releaseDate": "2022-12-07T21:25:31.942Z" // ... } // ... ]}

Filter by a Unity Release major version

Make request:
curl 'https://services.api.unity.com/unity/editor/release/v1/releases?version=2023'
Response:
{ "offset": 0, "limit": 10, "total": 20, "results": [ { "version": "2023.1.0a22", "releaseDate": "2022-12-07T21:25:31.942Z" // ... } // ... ]}

Query parameters for "Get Unity Releases"

limit

integer
default: 10
example: 10
Limits the number of results returned per page (min 1, max 25).

offset

integer
default: 0
example: 0
Offsets the first n elements from the results.

order

string
default: RELEASE_DATE_DESC
example: RELEASE_DATE_DESC
Orders the returned results by Get Unity Releases Order.

stream

array
example: LTS
Filters by Unity Release stream.

platform

array
example: WINDOWS
Filters by Unity Release download platform.

architecture

array
example: X86_64
Filters by Unity Release download architecture.

version

string
example: 2020.3.44f1
Filters by a full text search on the version string.

HTTP response status codes for "Get Unity Releases":

Code samples for "Get Unity Releases":

Request example

curl -X GET \ "https://services.api.unity.com/unity/editor/release/v1/releases"

Response example

{ "offset": 0, "limit": 10, "total": 1027, "results": [ { "version": "2020.3.44f1", "releaseDate": "2023-01-18T17:25:53.109Z", "releaseNotes": { "url": "https://storage.googleapis.com/live-platform-resources-prd/templates/assets/2020_3_44f1_750922b691/2020_3_44f1_750922b691.md", "integrity": "sha1-OTVjZTI0ZTk5MDg0YTMyYTBmZTdiNTU1NTMwZGRhYjQ3OWMzYzc1MQo=", "type": "MD" }, "stream": "LTS", "downloads": [ { "url": "https://download.unity3d.com/download_unity/7f159b6136da/Windows64EditorInstaller/UnitySetup64-2020.3.44f1.exe", "integrity": "sha1-OTVjZTI0ZTk5MDg0YTMyYTBmZTdiNTU1NTMwZGRhYjQ3OWMzYzc1MQo=", "type": "EXE", "platform": "WINDOWS", "architecture": "X86_64", "downloadSize": { "value": null, "unit": null }, "installedSize": { "value": null, "unit": null }, "modules": [ null ] } ], "skuFamily": "CLASSIC", "recommended": false, "unityHubDeepLink": "unityhub://2020.3.44f1/7f159b6136da", "shortRevision": "7f159b6136da", "thirdPartyNotices": [] } ]}

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.